/*
2000 Microsoft Corporation. All rights reserved.
*/

// constants
var NO_PANE         = 0;
var EQUALIZER_PANE  = 1;
var PLAYLIST_PANE   = 2;
var VIDEO_PANE      = 3;

var currentPane = 0;
var vidIsRunning = false;


function OnTimerTick()
{
    var mm = ((seek.value < 600)   ? "0" : "")
        + Math.floor(seek.value / 60);
    var ss = ((seek.value%60) < 10 ? "0" : "")
        + Math.floor(seek.value % 60);
    metadataTime.value = mm + ":" + ss;
    metadataTime2.value = mm + ":" + ss;
}

function Init()
{
    pl.setColumnResizeMode(0, "Stretches");
    pl.setColumnResizeMode(1, "AutoSizeData");

	    if(player.OpenState==osMediaOpen)
    {
        OnPlayStateChange();
        vidIsRunning = (player.currentMedia.ImageSourceWidth>0);
        if(vidIsRunning) {
            StartVideo();
        }
    }
}

function OnOpenStateChange()
{
	metadataArtist.value = player.currentmedia.getiteminfo("Author");
    if(player.OpenState == osMediaOpen)
    {
        //metadataArtist.value = player.currentmedia.getiteminfo("Author");
		Init();  
        bClose.enabled = !vidIsRunning;
        // makes bClose show up when switching from video to audio
    }
}

function OnPlayStateChange()
{
    switch(player.PlayState)
    {
    case psStopped:
        visEffects.visible = false;
        // intentional fallthrough
    case psPaused:
        break;
    case psPlaying:
        metadataArtist.value = player.currentmedia.getiteminfo("Author");
        visEffects.visible = !vidIsRunning;
        break;
    }
}

function SetVisibility(newPane)
{
    //bClose.enabled = !vidIsRunning;
	 switch(newPane)
    {
    case NO_PANE:
	    svEQ.visible = false;
		svPL.visible = false;
		playlist.visible = false;
        vid.visible = false;
        break;
    case EQUALIZER_PANE:
        svEQ.visible = true;
		svPL.visible = false;
		playlist.visible = false;
        vid.visible = false;
        break;
    case 2:
        svPL.visible = true;
		playlist.visible = true;
        svEQ.visible = false;
        vid.visible = false;
        break;
    case VIDEO_PANE:
        svPL.visible = true;
		playlist.visible = false;
		vid.visible = true;
        svEQ.visible  = false;
        break;
    }
    currentPane = newPane;
}

function toggleSaltmineSign() {	

	SaltmineSign.visible = !SaltmineSign.visible;
	if (bSaltmineVisible) {
		//SaltmineSign.moveTo(240, SaltmineSign.top, 200);
	}	else {
		//SaltmineSign.moveTo(140, SaltmineSign.top, 200);
	}
	//bSaltmineSignVisible = !bSaltmineSignVisible
}


function TogglePlaylist() {
    if(currentPane == PLAYLIST_PANE) {
        SetVisibility(vidIsRunning ? VIDEO_PANE : NO_PANE);
    } else {
	        SetVisibility(PLAYLIST_PANE);
    }
}

function ToggleEqualizer() {
    if(currentPane == EQUALIZER_PANE) {
        SetVisibility(vidIsRunning ? VIDEO_PANE : NO_PANE);
    } else {
		SetVisibility(EQUALIZER_PANE);
    }
}

function ToggleVideoSettings() {
	if (svVS.left == 20) {
		svVS.moveTo(360, svVS.top, 200);
	} else {
		svVS.moveTo(20, svVS.top, 200);
	}
}

function StartVideo()
{
    vidIsRunning = true;
	VideoTracking.visible = true;
    SetVisibility(VIDEO_PANE);	
}

function EndVideo() {
    vidIsRunning = false;
	VideoTracking.visible = false;
    if(currentPane == VIDEO_PANE) {
        SetVisibility(NO_PANE);
    }
}

function resetVideoSettings() {
	brightness.value=5;
	hue.value=5;
	contrast.value=5;
	saturation.value=5;
}
